Package com.google.android.exoplayer2.decoder

## Class SimpleOutputBuffer

- java.lang.Object
- - com.google.android.exoplayer2.decoder.Buffer
  - - com.google.android.exoplayer2.decoder.OutputBuffer
    - - com.google.android.exoplayer2.decoder.SimpleOutputBuffer

-     public class SimpleOutputBuffer
      extends OutputBuffer

  Buffer for `SimpleDecoder` output.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.android.exoplayer2.decoder.OutputBuffer

      `OutputBuffer.Owner<S extends OutputBuffer>`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `ByteBuffer` | `data` |

    - ### Fields inherited from class com.google.android.exoplayer2.decoder.OutputBuffer

      `skippedOutputBufferCount, timeUs`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SimpleOutputBuffer​(OutputBuffer.Owner<SimpleOutputBuffer> owner)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `clear()` | Clears the buffer.
    `ByteBuffer` | `init​(long timeUs, int size)` | Initializes the buffer.
    `void` | `release()` | Releases the output buffer for reuse.

    - ### Methods inherited from class com.google.android.exoplayer2.decoder.Buffer

      `addFlag, clearFlag, getFlag, hasSupplementalData, isDecodeOnly, isEndOfStream, isKeyFrame, setFlags`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### data

          @Nullable
          public ByteBuffer data

  - ### Constructor Detail

    - #### SimpleOutputBuffer

          public SimpleOutputBuffer​(OutputBuffer.Owner<SimpleOutputBuffer> owner)

  - ### Method Detail

    - #### init

          public ByteBuffer init​(long timeUs,
                                 int size)

      Initializes the buffer.
      Parameters:
        `timeUs` - The presentation timestamp for the buffer, in microseconds.
        `size` - An upper bound on the size of the data that will be written to the buffer.
      Returns:
        The `data` buffer, for convenience.

    - #### clear

          public void clear()

      Description copied from class: `Buffer`
      Clears the buffer.
      Overrides:
        `clear` in class `Buffer`

    - #### release

          public void release()

      Description copied from class: `OutputBuffer`
      Releases the output buffer for reuse. Must be called when the buffer is no longer needed.
      Specified by:
        `release` in class `OutputBuffer`